Subject: Synnefo XEN support

Description

To fully support XEN in Synnefo: * we need to modify snf-cyclades-app to support hypervisor-specific hv_params for Ganeti, and for the

moment disable hotplug for XEN instances * snf-cyclades-gtools also need to be modified to support collecting stats for XEN guests /

DomUs * ganeti (snf-ganeti), snf-network and snf-image have already been modified to support / install custom vif / network scripts for

XEN

Associated revisions

Revision bd87213f - 05/21/2013 02:07 pm - Christos Stavrakakis 

cyclades: Sypport backends with Xen hypervisor

Support Ganeti backends with Xen hypervisor:

    -  Extend 'Backend' model with the 'hypervisor' attribute, which

  currently can be 'kvm' or 'xen'. Use 'kvm' as default value to

  easy database migration. Also add the corresponding schema migration.

    -  Do not use hotplug at Xen backends, since it is not

  implemented.

    -  Support different 'hvparams' for Xen and KVM backends. Update

  GANETI_CREATEINSTNACE_KWARGS setting to hold 'hvparams' for both

  Xen and KVM.

    -  When getting instance console, check 'serial_console' hvparam only

  for Xen instances.

Refs #3772

Revision 4c9ac139 - 05/21/2013 02:09 pm - Christos Stavrakakis 

cyclades: Add --hypervisor option to backend cmds

Add '--hypervisor' option to 'backend-add' and 'backend-modify'

management commands.

Refs #3772

History

#1 - 02/26/2014 05:37 pm - Christos Stavrakakis

- Status changed from New to Closed
